QGIS Application - Bug report #15079
New PostGIS/SpatiaLite table - Inconsistent behavior of primary keys
2016-06-19 07:00 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.14.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23021
Description

Please create a new PostGIS and a new SpatialL.ite table in the 'DB Manager'. In both cases select 'integer' (data type) for the primary
key. When adding new features the PostGIS pk has to be set manually, the SpatiaL.ite pk is created automatically.

See also:

#15071 Create table dialog (SpatiaLite) misses data type 'Serial'
#15076 Create table dialog lists useless data types for Spatialite

Related issues:
Related to QGIS Application - Feature request # 15071: Create table dialog (S... Closed 2016-06-18

History

#1 - 2016-06-19 10:03 AM - R. R.
- File postgis_spatialite_pk.mp4 added

#2 - 2016-06-21 11:18 AM - R. R.

- File spatialite_dummy.png added

- File postgis_dummy.png added

Perhaps tooltips could help to improve the 'Create Table' dialogs.

https://issues.qgis.org/attachments/10059/postgis_dummy.pnghttps://issues.qgis.org/attachments/10060/spatialite_dummy.png

| did some tests and for new SpatiaLite tables 'bigint' and 'smallint' do not support auto increment primary key fields. But | suppose this is the expected
behavior.

#3 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#4 - 2017-05-19 09:09 AM - Jiirgen Fischer
- Related to Feature request #15071: Create table dialog (SpatiaLite) misses data type 'Serial' added

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
spatialite_dummy.png 57.8 KB 2016-06-21 R.R.

2025-04-27 22


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

